# $Revision: 1.13 $, $Date: 2012/03/28 08:26:27 $
Summary:	GObject-based wrapper around the Exiv2 library
Summary(pl.UTF-8):	Oparte na GObject obudowanie biblioteki Exiv2
Name:		gexiv2
Version:	0.3.92
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://yorba.org/download/gexiv2/0.3/lib%{name}-%{version}.tar.bz2
# Source0-md5:	35696a9da49351cfec360147d34ae1ee
URL:		http://trac.yorba.org/wiki/gexiv2
BuildRequires:	exiv2-devel >= 0.21
BuildRequires:	glib2-devel >= 1:2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	exiv2-libs >= 0.21
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%description -l pl.UTF-8
gexiv2 to oparte na GObject obudowanie biblioteki Exiv2. Udostępnia
podstawowe możliwości Exiv2 aplikacjom GNOME.

%package devel
Summary:	Header files for gexiv2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gexiv2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	exiv2-devel >= 0.21
Requires:	glib2-devel >= 1:2.0
Requires:	libstdc++-devel

%description devel
Header files for gexiv2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gexiv2.

%package static
Summary:	Static gexiv2 library
Summary(pl.UTF-8):	Statyczna biblioteka gexiv2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gexiv2 library.

%description static -l pl.UTF-8
Statyczna biblioteka gexiv2.

%package -n vala-gexiv2
Summary:	Vala binding for gexiv2 library
Summary(pl.UTF-8):	Wiązanie języka vala do biblioteki gexiv2
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-gexiv2
Vala binding for gexiv2 library.

%description -n vala-gexiv2 -l pl.UTF-8
Wiązanie języka vala do biblioteki gexiv2.

%prep
%setup -q -n lib%{name}-%{version}

%build
# not autoconf-generated
./configure \
	--prefix=%{_prefix}

%{__make} \
	CFLAGS="%{rpmcflags}" \
	CXX="%{__cxx}" \
	LIB="%{_lib}" \
	LDFLAGS="-lm"

# fix hardcoded ${exec_prefix}/lib
sed -i -e 's,^libdir=.*,libdir=%{_libdir},' gexiv2.pc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIB="%{_lib}"

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README THANKS
%attr(755,root,root) %{_libdir}/libgexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgexiv2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgexiv2.so
%{_libdir}/libgexiv2.la
%{_includedir}/gexiv2
%{_pkgconfigdir}/gexiv2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgexiv2.a

%files -n vala-gexiv2
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gexiv2.vapi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gexiv2.spec,v $
Revision 1.13  2012/03/28 08:26:27  jajcus
- Version: 0.3.92

Revision 1.12  2011/03/24 17:02:18  qboosh
- updated to 0.3.1
- pl
- completed dependencies
- package docs
- separated vala binding
- pass CC and CFLAGS
- set proper libdir in .pc file

Revision 1.11  2011/03/23 08:37:36  jajcus
- Version: 0.3.0

Revision 1.10  2011/02/27 10:18:35  jajcus
- run ldconfig in post/postun
- Release: 2

Revision 1.9  2011/01/03 09:23:50  jajcus
- link with libm (required on x86_64, won't hurt on other archs)
- Release: 2

Revision 1.8  2011/01/02 10:09:39  jajcus
- Version: 0.2.2

Revision 1.7  2010/12/09 11:53:08  caleb
- Up to 0.2.1

Revision 1.6  2010/09/06 11:23:15  jajcus
- x86_64 fix
- BR: vala (for vapi)
- Release: 2

Revision 1.5  2010/09/06 11:09:17  jajcus
- include the Vala vapi file
- outdated patch removed

Revision 1.4  2010/09/06 10:42:09  jajcus
- Version: 0.2.0

Revision 1.3  2010/08/02 18:24:24  caleb
- Fixed dependencies and rel number

Revision 1.2  2010/08/02 18:12:47  caleb
- Adapterized
- Requires exiv2 >= 0.19

Revision 1.1  2010/08/02 18:00:58  caleb
- Initial add
